OpenCV: cv::AVIReadContainer Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
cv::AVIReadContainer Class Reference

`#include "container_avi.private.hpp"`

## Public Member Functions
| AVIReadContainer ()
void | close ()
double | getFps ()
frame_list & | getFrames ()
size_t | getFramesCount ()
unsigned int | getHeight ()
unsigned int | getWidth ()
void | initStream (const String &filename)
void | initStream (Ptr< VideoInputStream > m_file_stream_)
bool | parseAvi (Codecs codec_)
bool | parseAvi (frame_list &in_frame_list, Codecs codec_)
bool | parseRiff (frame_list &m_mjpeg_frames)
std::vector< char > | readFrame (frame_iterator it)

## Protected Member Functions
bool | parseAviWithFrameList (frame_list &in_frame_list, Codecs codec_)
bool | parseHdrlList (Codecs codec_)
bool | parseIndex (unsigned int index_size, frame_list &in_frame_list)
bool | parseInfo ()
bool | parseMovi (frame_list &in_frame_list)
bool | parseStrl (char stream_id, Codecs codec_)
void | printError (RiffList &list, unsigned int expected_fourcc)
void | printError (RiffChunk &chunk, unsigned int expected_fourcc)
void | skipJunk (RiffChunk &chunk)
void | skipJunk (RiffList &list)

## Protected Attributes
Ptr< VideoInputStream > | m_file_stream
double | m_fps
frame_list | m_frame_list
unsigned int | m_height
bool | m_is_indx_present
unsigned long long int | m_movi_end
unsigned long long int | m_movi_start
unsigned int | m_stream_id
unsigned int | m_width

## Constructor & Destructor Documentation

## ◆ AVIReadContainer()

cv::AVIReadContainer::AVIReadContainer | ( |  | ) |

## Member Function Documentation

## ◆ close()

void cv::AVIReadContainer::close | ( |  | ) |

## ◆ getFps()

double cv::AVIReadContainer::getFps | ( |  | ) |
| inline

## ◆ getFrames()

frame_list& cv::AVIReadContainer::getFrames | ( |  | ) |
| inline

## ◆ getFramesCount()

size_t cv::AVIReadContainer::getFramesCount | ( |  | ) |
| inline

## ◆ getHeight()

unsigned int cv::AVIReadContainer::getHeight | ( |  | ) |
| inline

## ◆ getWidth()

unsigned int cv::AVIReadContainer::getWidth | ( |  | ) |
| inline

## ◆ initStream() [1/2]

void cv::AVIReadContainer::initStream | ( | const String & | filename | ) |

## ◆ initStream() [2/2]

void cv::AVIReadContainer::initStream | ( | Ptr< VideoInputStream > | m_file_stream_ | ) |

## ◆ parseAvi() [1/2]

bool cv::AVIReadContainer::parseAvi | ( | Codecs | codec_ | ) |
| inline

## ◆ parseAvi() [2/2]

bool cv::AVIReadContainer::parseAvi | ( | frame_list & | in_frame_list,
|  | Codecs | codec_
| ) |  |
| inline

## ◆ parseAviWithFrameList()

bool cv::AVIReadContainer::parseAviWithFrameList | ( | frame_list & | in_frame_list,
|  | Codecs | codec_
| ) |  |
| protected

## ◆ parseHdrlList()

bool cv::AVIReadContainer::parseHdrlList | ( | Codecs | codec_ | ) |
| protected

## ◆ parseIndex()

bool cv::AVIReadContainer::parseIndex | ( | unsigned int | index_size,
|  | frame_list & | in_frame_list
| ) |  |
| protected

## ◆ parseInfo()

bool cv::AVIReadContainer::parseInfo | ( |  | ) |
| inlineprotected

## ◆ parseMovi()

bool cv::AVIReadContainer::parseMovi | ( | frame_list & | in_frame_list | ) |
| inlineprotected

## ◆ parseRiff()

bool cv::AVIReadContainer::parseRiff | ( | frame_list & | m_mjpeg_frames | ) |

## ◆ parseStrl()

bool cv::AVIReadContainer::parseStrl | ( | char | stream_id,
|  | Codecs | codec_
| ) |  |
| protected

## ◆ printError() [1/2]

void cv::AVIReadContainer::printError | ( | RiffList & | list,
|  | unsigned int | expected_fourcc
| ) |  |
| protected

## ◆ printError() [2/2]

void cv::AVIReadContainer::printError | ( | RiffChunk & | chunk,
|  | unsigned int | expected_fourcc
| ) |  |
| protected

## ◆ readFrame()

std::vector<char> cv::AVIReadContainer::readFrame | ( | frame_iterator | it | ) |

## ◆ skipJunk() [1/2]

void cv::AVIReadContainer::skipJunk | ( | RiffChunk & | chunk | ) |
| protected

## ◆ skipJunk() [2/2]

void cv::AVIReadContainer::skipJunk | ( | RiffList & | list | ) |
| protected

## Member Data Documentation

## ◆ m_file_stream

Ptr<VideoInputStream> cv::AVIReadContainer::m_file_stream
| protected

## ◆ m_fps

double cv::AVIReadContainer::m_fps
| protected

## ◆ m_frame_list

frame_list cv::AVIReadContainer::m_frame_list
| protected

## ◆ m_height

unsigned int cv::AVIReadContainer::m_height
| protected

## ◆ m_is_indx_present

bool cv::AVIReadContainer::m_is_indx_present
| protected

## ◆ m_movi_end

unsigned long long int cv::AVIReadContainer::m_movi_end
| protected

## ◆ m_movi_start

unsigned long long int cv::AVIReadContainer::m_movi_start
| protected

## ◆ m_stream_id

unsigned int cv::AVIReadContainer::m_stream_id
| protected

## ◆ m_width

unsigned int cv::AVIReadContainer::m_width
| protected

The documentation for this class was generated from the following file:

- videoio/include/opencv2/videoio/container_avi.private.hpp